Debian Bug report logs - #696067
ITP: libfuture-perl -- module for operations awaiting completion

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sun, 16 Dec 2012 13:57:11 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libfuture-perl/0.7-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#696067; Package wnpp. (Sun, 16 Dec 2012 13:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 16 Dec 2012 13:57:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libfuture-perl -- module for operations awaiting completion
Date: Sun, 16 Dec 2012 14:55:03 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libfuture-perl
  Version         : 0.7
  Upstream Author : Paul Evans <leonerd@leonerd.org.uk>
* URL             : https://metacpan.org/release/Future/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : module for operations awaiting completion

A Future object represents an operation that is currently in progress, or
has recently completed. It can be used in a variety of ways to manage the
flow of control, and data, through an asynchronous program.

Some futures represent a single operation and are explicitly marked as ready
by calling the done or fail methods. These are called "leaf" futures here,
and are returned by the new constructor.

Other futures represent a collection sub-tasks, and are implicitly marked as
ready depending on the readiness of their component futures as required.
These are called "dependent" futures here, and are returned by the various
wait_* and need_* constructors.

It is intended that library functions that perform asynchonous operations
would use Future objects to represent outstanding operations, and allow their
calling programs to control or wait for these operations to complete. The
implementation and the user of such an interface would typically make use of
different methods on the class. The methods below are documented in two
sections; those of interest to each side of the interface.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 07:09:08 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 18:03:34 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 18:03:34 GMT) Full text and rfc822 format available.

Message #12 received at 696067-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 696067-close@bugs.debian.org
Subject: Bug#696067: fixed in libfuture-perl 0.7-1
Date: Wed, 09 Jan 2013 18:00:07 +0000
Source: libfuture-perl
Source-Version: 0.7-1

We believe that the bug you reported is fixed in the latest version of
libfuture-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696067@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libfuture-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Dec 2012 14:58:45 +0100
Source: libfuture-perl
Binary: libfuture-perl
Architecture: source all
Version: 0.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libfuture-perl - module for operations awaiting completion
Closes: 696067
Changes: 
 libfuture-perl (0.7-1) unstable; urgency=low
 .
   * Initial release (closes: #696067).
Checksums-Sha1: 
 b8ee58ba4e141f5b9f8f5bb5164ac48f2662a6e7 2084 libfuture-perl_0.7-1.dsc
 2f2d66929a4d61377f09edba18e19901e189ba8d 34271 libfuture-perl_0.7.orig.tar.gz
 68f6d87d3b5dc6d7910d5ae7ecf8813c94e645d3 1787 libfuture-perl_0.7-1.debian.tar.gz
 456a16cace843374e4be77b93195edb2e7f5f2c3 21860 libfuture-perl_0.7-1_all.deb
Checksums-Sha256: 
 58e5cbe537f06b0a44d116a7b73348d6c9218c7a1afa6671f7d1a8bd7165ce4e 2084 libfuture-perl_0.7-1.dsc
 56a3fa2cde24041afc36a5a430b9294c17e06a1ab882316a33a65c63baf2fc45 34271 libfuture-perl_0.7.orig.tar.gz
 173cc7e0141f15bf9cb00ed6a227326c742994f2caf108e2ea3842d4f913bf6a 1787 libfuture-perl_0.7-1.debian.tar.gz
 80c9790054808a6891a69490b71b3080fb0852d49c7c27dd5a344c30030facc8 21860 libfuture-perl_0.7-1_all.deb
Files: 
 d048cf3b3e8888b07fe3b65d2e383ff1 2084 perl optional libfuture-perl_0.7-1.dsc
 db48ad08536ee1b9ecda654d395f698a 34271 perl optional libfuture-perl_0.7.orig.tar.gz
 b44df593a55c7204660802a6b262ed97 1787 perl optional libfuture-perl_0.7-1.debian.tar.gz
 5d9dc12c5038d433078956e7c165db6c 21860 perl optional libfuture-perl_0.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQzdOwAAoJELs6aAGGSaoGKr4P/R9u573J2oEV3lP/qBWqFbNH
Zo7BfyG/QZCJ0oCAXFRQWN8KQjVNmkm+Ao2sH3QeGsqqhzHaDYhU3yVD8VMQv7sg
0S0ZInrWw1QSm03oesUIZ2rND5MqO6AFDs07jxIziOIr4kMPr8uUQvwWc5dvYdlR
lruoOPEBG0Qxap3CE++PpUGBsz57EhPqoOyOy+hA7ajFSaAxvPJlGidYfkib3fUs
KyZyTmP2wGPxjmNK7v/8Tvt1dYaKqFVWLJSyWIREG1kInAKhIZNTHPBwz9cCi9wX
kmDrTxwQnUJ4SQxPncpgsLogX/ik8PwdLFtVdavGGhVYpNQn1jyqSL+7rxX0FZRm
51WYq2h3xV8xNNRgKuXdeXQNngRRdVOvksy2095N/U3e2y2i1FjkT5yfF1cKDCyC
hzPz2d3Q5hpoqQj9+2WUTxhp1qZVAMZA5kaXT66jfBucHIyF5T+TyYHGYjCTVOQs
Bn1qWBDyDWn2Pt/xaeA774/KAXEFNOP9vzGup4m3zGrgz8/jUsNyAfsdHeMI4yzU
zJbm6hhsbfcuBEekz56SDaL/YoqtNSxqbaOmLzTdo5j1PWAkLU/AdfDZBX0qJuno
qciVEksATqzPPOyAarKk6Avg5vEa9tlROpxFNrw/EbZnIhFIbv0bsI3varVO52Lm
Nms1WXu4fZqb1qJwdlsh
=REfn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Feb 2013 07:28:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:11:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.